Summary: A menu system for the GNOME project
Name:    gnome-menus
Version: 3.36.0
Release: 6%{?dist}
License: LGPLv2+
URL:     https://gitlab.gnome.org/GNOME/gnome-menus
Source0: https://download.gnome.org/sources/gnome-menus/3.36/%{name}-%{version}.tar.xz

Patch3000: 14.patch

BuildRequires: gawk gettext glib2-devel pkgconfig gobject-introspection-devel make

%description
gnome-menus is an implementation of the draft "Desktop Menu Specification" from freedesktop.org.
This package also contains the GNOME menu layout configuration files, .directory files and assorted
menu related utility programs and a simple menu editor.

%package devel
Summary: Libraries and include files for the GNOME menu system
Requires: %{name} = %{version}-%{release}

%description devel
This package provides the necessary development libraries for writing applications that use the
GNOME menu system.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-static \
   --enable-introspection \
   --enable-debug=yes

%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'
%find_lang gnome-menus

%files -f gnome-menus.lang
%license COPYING.LIB
%doc AUTHORS NEWS
%{_sysconfdir}/xdg/menus/gnome-applications.menu
%{_libdir}/lib*.so.*
%{_datadir}/desktop-directories/*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GMenu-3.0.typelib

%files devel
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/gnome-menus-3.0
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GMenu-3.0.gir

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.36.0-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.36.0-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.36.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.36.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.36.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 10 2023 Shuo Wang <abushwang@tencent.com> - 3.36.0-1
- initial build
